Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class POPOSigningKey

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.POPOSigningKey

All Implemented Interfaces:
  DEREncodable

    public class POPOSigningKey

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static POPOSigningKey` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static POPOSigningKey` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` POPOSigningKey ::= SEQUENCE { poposkInput [0] POPOSigningKeyInput OPTIONAL, algorithmIdentifier AlgorithmIdentifier, signature BIT STRING } -- The signature (using "algorithmIdentifier") is on the -- DER-encoded value of poposkInput.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static POPOSigningKey getInstance(java.lang.Object o)

### getInstance

    public static POPOSigningKey getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### toASN1Object

    public DERObject toASN1Object()

       POPOSigningKey ::= SEQUENCE {
                            poposkInput           [0] POPOSigningKeyInput OPTIONAL,
                            algorithmIdentifier   AlgorithmIdentifier,
                            signature             BIT STRING }
        -- The signature (using "algorithmIdentifier") is on the
        -- DER-encoded value of poposkInput.  NOTE: If the CertReqMsg
        -- certReq CertTemplate contains the subject and publicKey values,
        -- then poposkInput MUST be omitted and the signature MUST be
        -- computed on the DER-encoded value of CertReqMsg certReq.  If
        -- the CertReqMsg certReq CertTemplate does not contain the public
        -- key and subject values, then poposkInput MUST be present and
        -- MUST be signed.  This strategy ensures that the public key is
        -- not present in both the poposkInput and CertReqMsg certReq
        -- CertTemplate fields.

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD